<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas" class="title">Uses of Class<br>import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.canvas">import hk.quantr.mxgraph.canvas</a></th>
<td class="colLast">
<div class="block">This package contains various implementations for painting a graph using
  different technologies, such as Graphics2D, HTML, SVG or VML.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.reader">import hk.quantr.mxgraph.reader</a></th>
<td class="colLast">
<div class="block">This package contains the classes required to turn an encoded mxGraphView
  into an image using SAX and without having to create a graph model.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.shape">import hk.quantr.mxgraph.shape</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.swing">import hk.quantr.mxgraph.swing</a></th>
<td class="colLast">
<div class="block">This package contains the main component for JFC/Swing, namely the graph
  component and the outline component.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.swing.handler">import hk.quantr.mxgraph.swing.handler</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for mouse event handling in
  JFC/Swing.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.swing.view">import hk.quantr.mxgraph.swing.view</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for interaction, namely the
  mxCellEditor used for in-place editing and the mxInteractiveCanvas, which
  defines the requirements for a canvas that supports hit-detection on shapes.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.util">import hk.quantr.mxgraph.util</a></th>
<td class="colLast">
<div class="block">This package provides utility classes such as mxConstants, mxUtils, mxPoint
  and mxRectangle as well as all classes for custom events and the undo
  history.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.canvas">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a> in <a href="../package-summary.html">import hk.quantr.mxgraph.canvas</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../package-summary.html">import hk.quantr.mxgraph.canvas</a> declared as <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxImageCanvas.</span><code><span class="memberNameLink"><a href="../mxImageCanvas.html#canvas">canvas</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">import hk.quantr.mxgraph.canvas</a> that return <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxImageCanvas.</span><code><span class="memberNameLink"><a href="../mxImageCanvas.html#getGraphicsCanvas()">getGraphicsCanvas</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">import hk.quantr.mxgraph.canvas</a> with parameters of type <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxImageCanvas.html#%3Cinit%3E(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,int,int,java.awt.Color,boolean)">mxImageCanvas</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
             int&nbsp;width,
             int&nbsp;height,
             java.awt.Color&nbsp;background,
             boolean&nbsp;antiAlias)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxImageCanvas.html#%3Cinit%3E(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,int,int,java.awt.Color,boolean,boolean)">mxImageCanvas</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
             int&nbsp;width,
             int&nbsp;height,
             java.awt.Color&nbsp;background,
             boolean&nbsp;antiAlias,
             boolean&nbsp;textAntiAlias)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.reader">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a> in <a href="../../reader/package-summary.html">import hk.quantr.mxgraph.reader</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../reader/package-summary.html">import hk.quantr.mxgraph.reader</a> that return <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphViewImageReader.</span><code><span class="memberNameLink"><a href="../../reader/mxGraphViewImageReader.html#createGraphicsCanvas()">createGraphicsCanvas</a></span>()</code></th>
<td class="colLast">
<div class="block">Hook that creates the graphics canvas.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.shape">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a> in <a href="../../shape/package-summary.html">import hk.quantr.mxgraph.shape</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../shape/package-summary.html">import hk.quantr.mxgraph.shape</a> with parameters of type <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#configureCanvas(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D)">configureCanvas</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
               <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
               <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;c)</code></th>
<td class="colLast">
<div class="block">Helper method to configure the given wrapper canvas.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxBasicShape.</span><code><span class="memberNameLink"><a href="../../shape/mxBasicShape.html#configureGraphics(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,boolean)">configureGraphics</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                 <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                 boolean&nbsp;background)</code></th>
<td class="colLast">
<div class="block">Configures the graphics object ready to paint.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStencil.</span><code><span class="memberNameLink"><a href="../../shape/mxStencil.html#createCanvas(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">createCanvas</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;gc)</code></th>
<td class="colLast">
<div class="block">Creates the canvas for rendering the stencil.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a>[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLineShape.</span><code><span class="memberNameLink"><a href="../../shape/mxLineShape.html#createPoints(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createPoints</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
            <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxActorShape.</span><code><span class="memberNameLink"><a href="../../shape/mxActorShape.html#createShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxArrowShape.</span><code><span class="memberNameLink"><a href="../../shape/mxArrowShape.html#createShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxBasicShape.</span><code><span class="memberNameLink"><a href="../../shape/mxBasicShape.html#createShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCloudShape.</span><code><span class="memberNameLink"><a href="../../shape/mxCloudShape.html#createShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxEllipseShape.</span><code><span class="memberNameLink"><a href="../../shape/mxEllipseShape.html#createShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxHexagonShape.</span><code><span class="memberNameLink"><a href="../../shape/mxHexagonShape.html#createShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxRhombusShape.</span><code><span class="memberNameLink"><a href="../../shape/mxRhombusShape.html#createShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxTriangleShape.</span><code><span class="memberNameLink"><a href="../../shape/mxTriangleShape.html#createShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">createShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLabelShape.</span><code><span class="memberNameLink"><a href="../../shape/mxLabelShape.html#drawGlassEffect(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">drawGlassEffect</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
               <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Draws the glass effect</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxBasicShape.</span><code><span class="memberNameLink"><a href="../../shape/mxBasicShape.html#getFillColor(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getFillColor</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
            <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxImageShape.</span><code><span class="memberNameLink"><a href="../../shape/mxImageShape.html#getFillColor(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getFillColor</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
            <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLabelShape.</span><code><span class="memberNameLink"><a href="../../shape/mxLabelShape.html#getFillColor(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getFillColor</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
            <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxBasicShape.</span><code><span class="memberNameLink"><a href="../../shape/mxBasicShape.html#getGradientBounds(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getGradientBounds</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                 <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#getGradientBounds(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getGradientBounds</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                 <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.awt.Rectangle</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxImageShape.</span><code><span class="memberNameLink"><a href="../../shape/mxImageShape.html#getImageBounds(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getImageBounds</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
              <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Rectangle</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLabelShape.</span><code><span class="memberNameLink"><a href="../../shape/mxLabelShape.html#getImageBounds(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getImageBounds</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
              <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxImageShape.</span><code><span class="memberNameLink"><a href="../../shape/mxImageShape.html#getImageForStyle(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getImageForStyle</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxBasicShape.</span><code><span class="memberNameLink"><a href="../../shape/mxBasicShape.html#getStrokeColor(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getStrokeColor</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
              <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxImageShape.</span><code><span class="memberNameLink"><a href="../../shape/mxImageShape.html#getStrokeColor(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getStrokeColor</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
              <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLabelShape.</span><code><span class="memberNameLink"><a href="../../shape/mxLabelShape.html#getStrokeColor(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getStrokeColor</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
              <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#getTitleSize(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">getTitleSize</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
            <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns the bounding box for the gradient box for this shape.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxBasicShape.</span><code><span class="memberNameLink"><a href="../../shape/mxBasicShape.html#hasGradient(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">hasGradient</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxImageShape.</span><code><span class="memberNameLink"><a href="../../shape/mxImageShape.html#hasGradient(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">hasGradient</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLabelShape.</span><code><span class="memberNameLink"><a href="../../shape/mxLabelShape.html#hasGradient(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">hasGradient</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxBasicShape.</span><code><span class="memberNameLink"><a href="../../shape/mxBasicShape.html#hasShadow(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">hasShadow</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
         <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectorShape.</span><code><span class="memberNameLink"><a href="../../shape/mxConnectorShape.html#paintMarker(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,boolean)">paintMarker</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
           boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Draws the marker for the given edge.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxIMarker.</span><code><span class="memberNameLink"><a href="../../shape/mxIMarker.html#paintMarker(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,java.lang.String,import hk.quantr.mxgraph.util.mxPoint,double,double,double,boolean)">paintMarker</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
           java.lang.String&nbsp;type,
           <a href="../../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a>&nbsp;pe,
           double&nbsp;nx,
           double&nbsp;ny,
           double&nbsp;size,
           boolean&nbsp;source)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStencilShape.</span><code><span class="memberNameLink"><a href="../../shape/mxStencilShape.html#paintNode(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,import hk.quantr.mxgraph.shape.mxStencilShape.svgShape,double,double)">paintNode</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
         <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         <a href="../../shape/mxStencilShape.svgShape.html" title="class in import hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a>&nbsp;shape,
         double&nbsp;widthRatio,
         double&nbsp;heightRatio)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectorShape.</span><code><span class="memberNameLink"><a href="../../shape/mxConnectorShape.html#paintPolyline(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.util.List,java.util.Map)">paintPolyline</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
             java.util.List&lt;<a href="../../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
             java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCurveShape.</span><code><span class="memberNameLink"><a href="../../shape/mxCurveShape.html#paintPolyline(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.util.List,java.util.Map)">paintPolyline</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
             java.util.List&lt;<a href="../../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
             java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#paintRoundedSwimlane(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,double,double,java.lang.String,boolean)">paintRoundedSwimlane</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                    <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                    double&nbsp;start,
                    double&nbsp;r,
                    java.lang.String&nbsp;fill,
                    boolean&nbsp;swimlaneLine)</code></th>
<td class="colLast">
<div class="block">Function: paintRoundedSwimlane

 Paints the swimlane vertex shape.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#paintSeparator(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,double,java.lang.String)">paintSeparator</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
              <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
              double&nbsp;start,
              java.lang.String&nbsp;color)</code></th>
<td class="colLast">
<div class="block">Function: paintSwimlane

 Paints the swimlane vertex shape.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxBasicShape.</span><code><span class="memberNameLink"><a href="../../shape/mxBasicShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectorShape.</span><code><span class="memberNameLink"><a href="../../shape/mxConnectorShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCurveLabelShape.</span><code><span class="memberNameLink"><a href="../../shape/mxCurveLabelShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.lang.String,import hk.quantr.mxgraph.view.mxCellState,java.util.Map)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          java.lang.String&nbsp;text,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
          java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCurveShape.</span><code><span class="memberNameLink"><a href="../../shape/mxCurveShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCylinderShape.</span><code><span class="memberNameLink"><a href="../../shape/mxCylinderShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Draws a cylinder for the given parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxDefaultTextShape.</span><code><span class="memberNameLink"><a href="../../shape/mxDefaultTextShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.lang.String,import hk.quantr.mxgraph.view.mxCellState,java.util.Map)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          java.lang.String&nbsp;text,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
          java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxDoubleEllipseShape.</span><code><span class="memberNameLink"><a href="../../shape/mxDoubleEllipseShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxDoubleRectangleShape.</span><code><span class="memberNameLink"><a href="../../shape/mxDoubleRectangleShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxHtmlTextShape.</span><code><span class="memberNameLink"><a href="../../shape/mxHtmlTextShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.lang.String,import hk.quantr.mxgraph.view.mxCellState,java.util.Map)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          java.lang.String&nbsp;text,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
          java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxImageShape.</span><code><span class="memberNameLink"><a href="../../shape/mxImageShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxIShape.</span><code><span class="memberNameLink"><a href="../../shape/mxIShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxITextShape.</span><code><span class="memberNameLink"><a href="../../shape/mxITextShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.lang.String,import hk.quantr.mxgraph.view.mxCellState,java.util.Map)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          java.lang.String&nbsp;text,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
          java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLabelShape.</span><code><span class="memberNameLink"><a href="../../shape/mxLabelShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLineShape.</span><code><span class="memberNameLink"><a href="../../shape/mxLineShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxRectangleShape.</span><code><span class="memberNameLink"><a href="../../shape/mxRectangleShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStencil.</span><code><span class="memberNameLink"><a href="../../shape/mxStencil.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;gc,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Paints the stencil for the given state.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStencilShape.</span><code><span class="memberNameLink"><a href="../../shape/mxStencilShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#paintShape(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#paintSwimlane(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,double,java.lang.String,boolean)">paintSwimlane</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
             <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
             double&nbsp;start,
             java.lang.String&nbsp;fill,
             boolean&nbsp;swimlaneLine)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxDefaultTextShape.</span><code><span class="memberNameLink"><a href="../../shape/mxDefaultTextShape.html#postProcessLine(java.lang.String,java.lang.String,java.awt.FontMetrics,import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,int,int)">postProcessLine</a></span>&#8203;(java.lang.String&nbsp;text,
               java.lang.String&nbsp;line,
               java.awt.FontMetrics&nbsp;fm,
               <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
               int&nbsp;x,
               int&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Hook to add functionality after a line has been drawn</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.swing">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a> in <a href="../../swing/package-summary.html">import hk.quantr.mxgraph.swing</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../swing/package-summary.html">import hk.quantr.mxgraph.swing</a> with parameters of type <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.mxGraphControl.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.mxGraphControl.html#hitClip(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">hitClip</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
       <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.swing.handler">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a> in <a href="../../swing/handler/package-summary.html">import hk.quantr.mxgraph.swing.handler</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../swing/handler/package-summary.html">import hk.quantr.mxgraph.swing.handler</a> with parameters of type <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectPreview.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxConnectPreview.html#paintPreview(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">paintPreview</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas)</code></th>
<td class="colLast">
<div class="block">Draws the preview using the graphics canvas.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.swing.view">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a> in <a href="../../swing/view/package-summary.html">import hk.quantr.mxgraph.swing.view</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a> in <a href="../../swing/view/package-summary.html">import hk.quantr.mxgraph.swing.view</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../swing/view/mxInteractiveCanvas.html" title="class in import hk.quantr.mxgraph.swing.view">mxInteractiveCanvas</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../swing/view/package-summary.html">import hk.quantr.mxgraph.swing.view</a> with parameters of type <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellStatePreview.</span><code><span class="memberNameLink"><a href="../../swing/view/mxCellStatePreview.html#paintPreview(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">paintPreview</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas)</code></th>
<td class="colLast">
<div class="block">Draws the preview using the graphics canvas.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellStatePreview.</span><code><span class="memberNameLink"><a href="../../swing/view/mxCellStatePreview.html#paintPreviewState(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState)">paintPreviewState</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                 <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Draws the preview using the graphics canvas.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.util">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a> in <a href="../../util/package-summary.html">import hk.quantr.mxgraph.util</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../util/package-summary.html">import hk.quantr.mxgraph.util</a> with parameters of type <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.awt.image.BufferedImage</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellRenderer.</span><code><span class="memberNameLink"><a href="../../util/mxCellRenderer.html#createBufferedImage(import hk.quantr.mxgraph.view.mxGraph,java.lang.Object%5B%5D,double,java.awt.Color,boolean,import hk.quantr.mxgraph.util.mxRectangle,import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">createBufferedImage</a></span>&#8203;(<a href="../../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                   java.lang.Object[]&nbsp;cells,
                   double&nbsp;scale,
                   java.awt.Color&nbsp;background,
                   boolean&nbsp;antiAlias,
                   <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;clip,
                   <a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;graphicsCanvas)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
